Bug 187212 - new version of security/rndpassw (0.2)
Summary: new version of security/rndpassw (0.2)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-02 23:50 UTC by Andrew Romanenko
Modified: 2014-03-04 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (698 bytes, patch)
2014-03-02 23:50 UTC, Andrew Romanenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Romanenko 2014-03-02 23:50:00 UTC
New version of security/rndpassw (0.2)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-03-02 23:50:08 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Thomas Abthorpe freebsd_committer 2014-03-03 20:57:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

For culot@
Comment 3 dfilter service freebsd_committer 2014-03-04 17:15:56 UTC
Author: culot
Date: Tue Mar  4 17:15:48 2014
New Revision: 347045
URL: http://svnweb.freebsd.org/changeset/ports/347045
QAT: https://qat.redports.org/buildarchive/r347045/

Log:
  - Update to 0.2 [1]
  - Update LICENSE (BSD 3-clause)
  - Update patches
  
  Changes:	http://sourceforge.net/p/rndpassw/code/HEAD/tree/UPDATES
  PR:		ports/187212 [1]
  Submitted by:	Andrew Romanenko <melanhit@gmail.com> (maintainer)

Added:
  head/security/rndpassw/files/patch-src_rndpassw.c   (contents, props changed)
Modified:
  head/security/rndpassw/Makefile
  head/security/rndpassw/distinfo
  head/security/rndpassw/files/patch-Makefile

Modified: head/security/rndpassw/Makefile
==============================================================================
--- head/security/rndpassw/Makefile	Tue Mar  4 17:12:43 2014	(r347044)
+++ head/security/rndpassw/Makefile	Tue Mar  4 17:15:48 2014	(r347045)
@@ -1,14 +1,14 @@
 # $FreeBSD$
 
 PORTNAME=	rndpassw
-PORTVERSION=	0.1
+PORTVERSION=	0.2
 CATEGORIES=	security
 MASTER_SITES=	SF
 
 MAINTAINER=	melanhit@gmail.com
 COMMENT=	CLI password generator
 
-LICENSE=	BSD
+LICENSE=	BSD3CLAUSE
 
 USE_BZIP2=	yes
 

Modified: head/security/rndpassw/distinfo
==============================================================================
--- head/security/rndpassw/distinfo	Tue Mar  4 17:12:43 2014	(r347044)
+++ head/security/rndpassw/distinfo	Tue Mar  4 17:15:48 2014	(r347045)
@@ -1,2 +1,2 @@
-SHA256 (rndpassw-0.1.tar.bz2) = c45ca83ba9cc73f6bbfc8878610a2456300671d88572d55fcac96cb00b7e2508
-SIZE (rndpassw-0.1.tar.bz2) = 3364
+SHA256 (rndpassw-0.2.tar.bz2) = 5b65072a311a7f325947113322d18078aa079263025c1db59c6db1f4363eece0
+SIZE (rndpassw-0.2.tar.bz2) = 4216

Modified: head/security/rndpassw/files/patch-Makefile
==============================================================================
--- head/security/rndpassw/files/patch-Makefile	Tue Mar  4 17:12:43 2014	(r347044)
+++ head/security/rndpassw/files/patch-Makefile	Tue Mar  4 17:15:48 2014	(r347045)
@@ -13,11 +13,11 @@
 -	@install -d $(PREFIX)/bin
 -	@install -d $(PREFIX)/man/man1
 -	install -c $(PROG) $(PREFIX)/bin/$(PROG)
--	install -c $(PROG).1 $(PREFIX)/man/man1/$(PROG).1
+-	install -c doc/man/$(PROG).1 $(PREFIX)/man/man1/$(PROG).1
 +	@install -d $(DESTDIR)$(PREFIX)/bin
 +	@install -d $(DESTDIR)$(PREFIX)/man/man1
 +	install -c $(PROG) $(DESTDIR)$(PREFIX)/bin/$(PROG)
-+	install -c $(PROG).1 $(DESTDIR)$(PREFIX)/man/man1/$(PROG).1
++	install -c doc/man/$(PROG).1 $(DESTDIR)$(PREFIX)/man/man1/$(PROG).1
  
  uninstall:
 -	rm -f $(PREFIX)/bin/$(PROG)

Added: head/security/rndpassw/files/patch-src_rndpassw.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/rndpassw/files/patch-src_rndpassw.c	Tue Mar  4 17:15:48 2014	(r347045)
@@ -0,0 +1,11 @@
+--- src/rndpassw.c.orig	2014-03-04 18:01:47.477094722 +0100
++++ src/rndpassw.c	2014-03-04 18:02:16.047437566 +0100
+@@ -24,7 +24,7 @@
+ 
+ int main(int argc, char **argv)
+ {
+-    flags_t flags = { 0 };
++    flags_t flags = { 0, 0, 0, 0 };
+     int passlen = -1, passcnt = -1;
+     int opt, mixlen = 0, entlen, fd;
+     unsigned i, y, baselen = 0;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2014-03-04 17:16:07 UTC
State Changed
From-To: open->closed

Committed, with changes. Thanks!